
Application: gvSIG desktop - gvSIG bugs #1321
different label sizes maps and print / tamaños de etiquetas distintos entre mapa e imprsión
10/24/2012 11:31 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document layout
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2056 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

En: printed or exported labels changes sizes
in the example labels are fixed size in 40 meters in the world

Es: al imprimir o exportar a pdf las etiquetas cambian de tamaño.
en el ejemplo adjunto las etiquetas están en tamaño fixo en 40 metros en el mundo

image:
 view (top-left), map (bottom-left), pdf export (bottom-right)

History
#1 - 10/26/2012 03:25 PM - Manuel Madrid
- Priority changed from Normal to High

#2 - 10/30/2012 08:30 AM - Manuel Madrid
- Category set to Document layout
- Target version set to 2.0.0-rc1

#3 - 11/12/2012 10:59 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

Fixed how view is painted in layout frame.

gvsig-app-document-layout:r39

Hello, Mario. I have fixed a bad behavior but I'm not sure if it works in all cases. Can you describe simple steps to reprodice the problem you found?
When the erro happens, which one is correct? The layout in design mode or the final PDF?

#4 - 11/13/2012 02:28 PM - Mario Fevre

I found it this way:
1- new project
2- new view 
3- new layer, point
4- inser few point un the view
5- add column
6- fill fields with some strings
7- edit symbology, enable labels, fixed sizes, 3 meters in the world
8- new map, insert view,
9- export to pdf

view = map != pdf

#5 - 11/16/2012 11:46 AM - Juan Lucas Domínguez
- Status changed from Fixed to New

Yes, there is a bug, I'm fixing it now.

#6 - 11/16/2012 04:32 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed management of dpi when printing labels.

gvsig-desktop:r39275

The steps described should now work

#7 - 12/17/2012 11:30 AM - Abenchara Socorro

Closed in build 2061 RC2

#8 - 12/27/2012 12:21 PM - María Maluenda
- Status changed from Fixed to Closed
